HintedHandOffManager (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class HintedHandOffManager

- java.lang.Object
- - org.apache.cassandra.db.HintedHandOffManager

- All Implemented Interfaces:
    HintedHandOffManagerMBean

  Deprecated.

      @Deprecated
      public final class HintedHandOffManager
      extends java.lang.Object
      implements HintedHandOffManagerMBean

  A proxy class that implement the deprecated legacy HintedHandoffManagerMBean interface. TODO: remove in 4.0.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HintedHandOffManager` | `instance` Deprecated.
    `static java.lang.String` | `MBEAN_NAME` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteHintsForEndpoint(java.lang.String host)` Deprecated. Nuke all hints from this node to `ep`.
    `java.util.List<java.lang.String>` | `listEndpointsPendingHints()` Deprecated. List all the endpoints that this node has hints for.
    `void` | `pauseHintsDelivery(boolean doPause)` Deprecated. pause hints delivery process
    `void` | `registerMBean()` Deprecated.
    `void` | `scheduleHintDelivery(java.lang.String host)` Deprecated. force hint delivery to an endpoint
    `void` | `truncateAllHints()` Deprecated. Truncate all the hints

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final HintedHandOffManager instance

      Deprecated.

    - #### MBEAN_NAME

          public static final java.lang.String MBEAN_NAME

      Deprecated.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### registerMBean

          public void registerMBean()

      Deprecated.

    - #### deleteHintsForEndpoint

          public void deleteHintsForEndpoint(java.lang.String host)

      Deprecated.
      Description copied from interface: `HintedHandOffManagerMBean`
      Nuke all hints from this node to `ep`.
      Specified by:
        `deleteHintsForEndpoint` in interface `HintedHandOffManagerMBean`
      Parameters:
        `host` - String rep. of endpoint address to delete hints for, either ip address ("127.0.0.1") or hostname

    - #### truncateAllHints

          public void truncateAllHints()

      Deprecated.
      Description copied from interface: `HintedHandOffManagerMBean`
      Truncate all the hints
      Specified by:
        `truncateAllHints` in interface `HintedHandOffManagerMBean`

    - #### listEndpointsPendingHints

          public java.util.List<java.lang.String> listEndpointsPendingHints()

      Deprecated.
      Description copied from interface: `HintedHandOffManagerMBean`
      List all the endpoints that this node has hints for.
      Specified by:
        `listEndpointsPendingHints` in interface `HintedHandOffManagerMBean`
      Returns:
        set of endpoints; as Strings

    - #### scheduleHintDelivery

          public void scheduleHintDelivery(java.lang.String host)

      Deprecated.
      Description copied from interface: `HintedHandOffManagerMBean`
      force hint delivery to an endpoint
      Specified by:
        `scheduleHintDelivery` in interface `HintedHandOffManagerMBean`

    - #### pauseHintsDelivery

          public void pauseHintsDelivery(boolean doPause)

      Deprecated.
      Description copied from interface: `HintedHandOffManagerMBean`
      pause hints delivery process
      Specified by:
        `pauseHintsDelivery` in interface `HintedHandOffManagerMBean`

Copyright © 2018 The Apache Software Foundation